RIO_REGISTER_DRIVER(9)

NAME
rio_register_driver - register a new RIO driver

SYNOPSIS

int rio_register_driver (struct rio_driver * rdrv);

ARGUMENTS

rdrv
    the RIO driver structure to register

DESCRIPTION

Adds a &struct rio_driver to the list of registered drivers Returns a negative value on error, otherwise 0. If no error occurred, the driver remains registered even if no device was claimed during registration.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.